BackgroundSubtractorMOG2 (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.video

## Class BackgroundSubtractorMOG2

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.video.BackgroundSubtractor
    - - org.opencv.video.BackgroundSubtractorMOG2

-     public class BackgroundSubtractorMOG2
      extends BackgroundSubtractor

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BackgroundSubtractorMOG2(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BackgroundSubtractorMOG2` | `__fromPtr__(long addr)`
    `void` | `apply(Mat image, Mat fgmask)`
    `void` | `apply(Mat image, Mat fgmask, double learningRate)`
    `protected void` | `finalize()`
    `double` | `getBackgroundRatio()`
    `double` | `getComplexityReductionThreshold()`
    `boolean` | `getDetectShadows()`
    `int` | `getHistory()`
    `int` | `getNMixtures()`
    `double` | `getShadowThreshold()`
    `int` | `getShadowValue()`
    `double` | `getVarInit()`
    `double` | `getVarMax()`
    `double` | `getVarMin()`
    `double` | `getVarThreshold()`
    `double` | `getVarThresholdGen()`
    `void` | `setBackgroundRatio(double ratio)`
    `void` | `setComplexityReductionThreshold(double ct)`
    `void` | `setDetectShadows(boolean detectShadows)`
    `void` | `setHistory(int history)`
    `void` | `setNMixtures(int nmixtures)`
    `void` | `setShadowThreshold(double threshold)`
    `void` | `setShadowValue(int value)`
    `void` | `setVarInit(double varInit)`
    `void` | `setVarMax(double varMax)`
    `void` | `setVarMin(double varMin)`
    `void` | `setVarThreshold(double varThreshold)`
    `void` | `setVarThresholdGen(double varThresholdGen)`

    - ### Methods inherited from class org.opencv.video.BackgroundSubtractor

      `getBackgroundImage`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackgroundSubtractorMOG2

          protected BackgroundSubtractorMOG2(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static BackgroundSubtractorMOG2 __fromPtr__(long addr)

    - #### getDetectShadows

          public boolean getDetectShadows()

    - #### getBackgroundRatio

          public double getBackgroundRatio()

    - #### getComplexityReductionThreshold

          public double getComplexityReductionThreshold()

    - #### getShadowThreshold

          public double getShadowThreshold()

    - #### getVarInit

          public double getVarInit()

    - #### getVarMax

          public double getVarMax()

    - #### getVarMin

          public double getVarMin()

    - #### getVarThreshold

          public double getVarThreshold()

    - #### getVarThresholdGen

          public double getVarThresholdGen()

    - #### getHistory

          public int getHistory()

    - #### getNMixtures

          public int getNMixtures()

    - #### getShadowValue

          public int getShadowValue()

    - #### apply

          public void apply(Mat image,
                            Mat fgmask,
                            double learningRate)

      Overrides:
        `apply` in class `BackgroundSubtractor`

    - #### apply

          public void apply(Mat image,
                            Mat fgmask)

      Overrides:
        `apply` in class `BackgroundSubtractor`

    - #### setBackgroundRatio

          public void setBackgroundRatio(double ratio)

    - #### setComplexityReductionThreshold

          public void setComplexityReductionThreshold(double ct)

    - #### setDetectShadows

          public void setDetectShadows(boolean detectShadows)

    - #### setHistory

          public void setHistory(int history)

    - #### setNMixtures

          public void setNMixtures(int nmixtures)

    - #### setShadowThreshold

          public void setShadowThreshold(double threshold)

    - #### setShadowValue

          public void setShadowValue(int value)

    - #### setVarInit

          public void setVarInit(double varInit)

    - #### setVarMax

          public void setVarMax(double varMax)

    - #### setVarMin

          public void setVarMin(double varMin)

    - #### setVarThreshold

          public void setVarThreshold(double varThreshold)

    - #### setVarThresholdGen

          public void setVarThresholdGen(double varThresholdGen)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `BackgroundSubtractor`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown